style: background
layout.hAlign: center
layout.vAlign: middle
views:
  - $type: haxework.view.form.LabelView
    text: Puzzle'z
    font.size: 42
  - $type: haxework.view.group.HGroupView
    geometry.stretch: true
    views:
      - id: images
        $type: haxework.view.data.DataView
        layout:
          $type: haxework.view.layout.VerticalLayout
        geometry.height: 100%
        # geometry.height: 100
        factory: ~imageViewFactory
        +onDataSelect: ~start
        geometry.margin: 5
      - id: render
        $type: ru.m.puzzlez.render.Render
        geometry.width: 100%
        geometry.height: 100%
        geometry.margin: 5
        style: frame
